<Project Sdk="Microsoft.NET.Sdk.Web">
  <PropertyGroup>
    <TargetFramework>netcoreapp3.1</TargetFramework>

    <Dialogs>true</Dialogs>
    
    <Designer>true</Designer>
    
    <StaticWebAssetBasePath>_content/FastReport.Web</StaticWebAssetBasePath>
    <Version>1.0.0</Version>

    <Configurations>Debug;Release;Demo</Configurations>
  </PropertyGroup>

  <Import Project="FastReport.Web.Blazor.Shared.props"/>
  
  <PropertyGroup Condition="'$(Configuration)'=='Demo'">
    <PackageId>FastReport.Core3.Web.Demo</PackageId>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)'!='Demo'">
    <PackageId>FastReport.Core3.Web</PackageId>
  </PropertyGroup>
  
  <ItemGroup>
    <ProjectReference Include="..\FastReport.CoreWin\FastReport\FastReport.csproj" />
  </ItemGroup>
  <ItemGroup>
    <PackageReference Include="FastReport.Compat" Version="$(FRCompatVersion)" />
  </ItemGroup>
  
</Project>
